Package tigase.net

# Enum Class ConnectionType

java.lang.Object
java.lang.Enum<ConnectionType>
tigase.net.ConnectionType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConnectionType>`, `Constable`

public enum ConnectionType extends Enum<ConnectionType>
Describe class ConnectionType here.
Created: Sun Feb 5 09:26:44 2006

Author:
  Artur Hefczyc

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `accept`
  `connect`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String[]`
  `names()`
  `String`
  `toStringPretty()`
  `static ConnectionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConnectionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### accept

    public static final ConnectionType accept

  - ### connect

    public static final ConnectionType connect

- ## Method Details

  - ### values

    public static ConnectionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConnectionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### names

    public static String[] names()

  - ### toStringPretty

    public String toStringPretty()